## org.apache.batik.swing.gvt
Class AbstractJGVTComponent.UnixTextSelectionListener

    java.lang.Object
      org.apache.batik.gvt.event.SelectionAdapter
          org.apache.batik.swing.gvt.AbstractJGVTComponent.UnixTextSelectionListener

All Implemented Interfaces:
  java.util.EventListener, SelectionListener

Enclosing class:
  AbstractJGVTComponent

    protected class AbstractJGVTComponent.UnixTextSelectionListener

extends SelectionAdapter

Constructor Summary
`protected` `AbstractJGVTComponent.UnixTextSelectionListener()`

Method Summary
`void` `selectionDone(SelectionEvent evt)` Invoked when a selection is done.

Methods inherited from class org.apache.batik.gvt.event.SelectionAdapter
`selectionChanged, selectionCleared, selectionStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJGVTComponent.UnixTextSelectionListener

    protected AbstractJGVTComponent.UnixTextSelectionListener()

Method Detail

### selectionDone

    public void selectionDone(SelectionEvent evt)

  Description copied from class: `SelectionAdapter`
  Invoked when a selection is done.

  Specified by:
    `selectionDone` in interface `SelectionListener`
  Overrides:
    `selectionDone` in class `SelectionAdapter`
  Parameters:
    `evt` - the selection change event

Copyright © 2008 Apache Software Foundation. All Rights Reserved.